!###########################################################
! Copyright 2005 Programadores Humanos S/C Ltda. (2005-03-23)
! Gustavo Pinsard - gustavo@ultrasys.com.br
! You may distribute this code, use it, and distribute it
! the way you like, except that you cannot charge for it
! Arrghhh. Who cares? This is so simple... Just enjoy it
!
! Usage:
! 1) INCLUDE( 'ultraevents.inc' ) globally OUTSIDE the MAP
! 2) Call the AddHotKey method, like:
!    UltraEvents.AddHotKey( F8Key, ADDRESS( SomeProcedure ) )
! 3) Call the Watch method in each procedure you want to react
!    UltraEvents.Wath
!###########################################################

UltraEventsQ            QUEUE,TYPE                          !Holds the association of hotkey and procedure to call
hotkey                    LONG                              !Hotkey
procaddress               LONG                              !Address of the procedure to call
                        END

UltraEvents             CLASS,MODULE('UltraEvents.clw')
q                         &UltraEventsQ

Construct                 PROCEDURE                         !Creates the queue
Destruct                  PROCEDURE                         !Frees the queue memory, when object is destructed

WATCH                     PROCEDURE                         !Call this in each procedure you want to observe global hotkeys
AddHotKey                 PROCEDURE( LONG pHotKey, LONG pProcedure ) !In the main frame, call this for every global procedure
ProcessEvent              PROCEDURE,BYTE                    !Don't call this manually.
                        END
